# ActiveMQ Puppet Module

====================

Puppet Module to download, extract & install Apache ActiveMQ 5.9.0 version.


# Module Description

--------

ActiveMQ  puppet module manage to download apache-activemq version 5.9.0 from apache website, extract and finally start the ActiveMQ in the puppet agent.

# Usage

--------

Create a puppet manifest in the puppet master.

Include the activemq package inside the manifest.

```sh
	include activemq
```

Retrieve the catalog changes from puppet agent in case if its manually configured or wait for the runtime interval configured in case if its automatically configured.

```sh
	puppet agent -t -d
```

Restart the shell or terminal after activemq package is installed. This will set the path of apache-activemq-5.9.0 in the default environment path variable.

```sh
	  content => 'export PATH=/usr/local/bin:/usr/bin:/opt/apache-activemq-5.9.0/bin/'
```

The activemq service is started by the below start command in the init.pp file

```sh
	start  => '/opt/apache-activemq-5.9.0/bin/activemq start'
```

# Limitations

--------

Tested on CentOS and Debian. To be tested on other flavors.


# Authors

--------

This module is based on work by Ben Nathan and Ram Vittal.



# Contact Information

--------

- Ben Nathan (itzbenji@gmail.com) 
- Ram Vittal (ramvittal@gmail.com)

