class activemq 
(
# Setting the parameters
  $install_dir = 'UNSET',
  $download_filename = $activemq::params::download_filename,
  $download_url = $activemq::params::download_url,
  $target_dir = $activemq::params::target_dir,
  $extract_filename = $activemq::params::extract_filename,
  $install_file = $activemq::params::install_file,
  $status = $activemq::params::status,
  $activemq_start = $activemq::params::start,
  $activemq_stop = $activemq::params::stop,

)
 inherits activemq::params{ 

   $install_dir_final = $target_dir ? {
    'UNSET' => $::activemq::params::target_dir,
    default => $target_dir,
}

# The below code will install Java

  class { 'java':
  distribution => 'jdk',
 }

# The below block of code downloads the ActiveMQ file from the Source location.
    archive::download {$download_filename:
    url => $download_url,
    checksum => false,
    require => Package['java'],
  }

# The below block of code extracts the activemq  archive file.
    archive::extract {"apache-activemq-5.9.0-bin":
    target => $target_dir,
    require => Archive::Download["apache-activemq-5.9.0-bin.tar.gz"],
}


  file {'/etc/profile.d/install_activemq.sh':
  content => 'export PATH=/usr/local/bin:/usr/bin:/opt/apache-activemq-5.9.0/bin/' 
}

   service { 'activemq':
    ensure    => $status,
    require => Archive::Extract["apache-activemq-5.9.0-bin"],
    start     => $activemq_start,
    stop     => $activemq_stop,
 

  }
}


